Subject: Re: bug#23966: 25.1.50; Frame resizing due to tool bar + Gnus

From: Stephen Berman <[email-masked]>
Date: Wed, 13 Jul 2016 21:21:36 +0200

On Wed, 13 Jul 2016 19:34:46 +0200 martin rudalics <[email-masked]> wrote:

>> To reproduce, start emacs with -Q and evaluate the following sexp in
>> *scratch*:
>
> Here this gets me the following text written to *Messages*:
>
> Emacs started; frame height: 36
> Gnus started; frame height: 36
> Opening nnfolder server on archive...done
> No new newsgroups
> Checking new news...
> Reading active file via nnnil...done
> Checking new news...done
> No news is good news
> Opening nndoc server on /home/martin/tool-bar-Gnus-frame-bug...done
> Tool bar disabled; frame height: 36
> Entered Summary buffer; frame height: 36
> Tool bar enabled; frame height: 36
> Other buffer; frame height: 36
> Back to Summary buffer; frame height: 36
>
> Tested with both release version and current master/trunk.  With GTK
> version 3.4.2 (IIRC).  Is this expected and/or what you get?  In any
> case, the frame has the same height before and after executing this
> form.

I did in fact see this lack of height change, but only once among the
probably dozens of times I executed that code before filing the bug
report; I was surprised but since I couldn't reproduce it, I thought it
was a fluke.  All the other times, *Messages* showed this with emacs-25
and master:

Emacs started; frame height: 36
Gnus started; frame height: 36
Reading /home/steve/.newsrc.eld...
Opening nnfolder server on archive...done
No new newsgroups
Checking new news...
Reading active file via nnnil...done
Reading active file from archive via nnfolder...done
Reading active file via nndraft...done
Checking new news...done
Opening nndoc server on /home/steve/tool-bar-Gnus-frame-bug...done
Tool bar disabled; frame height: 36
Entered Summary buffer; frame height: 36
Tool bar enabled; frame height: 36
Other buffer; frame height: 38
Back to Summary buffer; frame height: 38

With 24.5 the frame height numbers were 35 (five times) followed by 37
(twice).  

When the tool bar was enabled in the Gnus Summary buffer, did you see it
displayed as I describe in the OP: an empty 8-pixel high strip?

Steve Berman